78
Validation results

Saxon

Saxon

WordPress 5.0.3 theme
78
Critical alerts
  1. Included plugins : Zip file found Plugins are not allowed in themes. The zip file found was responsive-lightbox.zip cmb2.zip envato-market.zip saxon-theme-addons.zip ._envato-market.zip ._responsive-lightbox.zip ._cmb2.zip.
Warning
  1. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function esc_attr_e, with the arguments in file theme-functions.php.
  2. Custom elements : Presence of custom backgroundNo reference to custom background was found in the theme.
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  3. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  4. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  5. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  6. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  7. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  8. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  9. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  10. Use of includes : Use of include or requireThe theme appears to use include or require : theme-options.php
    Line 8: include_once('kirki/kirki.php');
    Line 50: include_once 'kirki/class-kirki-modules-webfonts-link.php';
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-js.php
    Line 11: require_once(ABSPATH . 'wp-admin/includes/file.php'); // required to use WP
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : custom-menu.php
    Line 207: include_once( 'edit_custom_walker.php' );
    Line 208: include_once( 'custom_walker.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-css.php
    Line 11: require_once(ABSPATH . 'wp-admin/includes/file.php'); // required to use WP
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-system.php
    Line 57: require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-plugins.php
    Line 9: require_once(get_template_directory().'/inc/tgmpa/class-tgm-plugin-activati
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.

This is a ThemeForest theme. Since Themeforest items are all checked by a human before they appear on their website, ThemeForest verification rules are more permissive than themecheck's and can give a better verification score ( Themeforest requirements ).

79
Critical alerts
  1. Included plugins : Zip file found Plugins are not allowed in themes. The zip file found was responsive-lightbox.zip cmb2.zip envato-market.zip saxon-theme-addons.zip ._envato-market.zip ._responsive-lightbox.zip ._cmb2.zip.
Warning
  1. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function esc_attr_e, with the arguments in file theme-functions.php.
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  3. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  4. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  5. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  6. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  7. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  8. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  9. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  10. Use of includes : Use of include or requireThe theme appears to use include or require : theme-options.php
    Line 8: include_once('kirki/kirki.php');
    Line 50: include_once 'kirki/class-kirki-modules-webfonts-link.php';
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-js.php
    Line 11: require_once(ABSPATH . 'wp-admin/includes/file.php'); // required to use WP
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : custom-menu.php
    Line 207: include_once( 'edit_custom_walker.php' );
    Line 208: include_once( 'custom_walker.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-css.php
    Line 11: require_once(ABSPATH . 'wp-admin/includes/file.php'); // required to use WP
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-system.php
    Line 57: require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : theme-plugins.php
    Line 9: require_once(get_template_directory().'/inc/tgmpa/class-tgm-plugin-activati
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes